For Developers

Get Grading Period

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/grading_periods/:grading_period_id

Retrieve information about a specific Grading Period.

Request Parameters

ParameterLocationTypeDescription
grading_period_idurlstringThe UUID of the desired Grading Period.

Sample Request

axios.get('https://ed.link/api/v2/graph/grading_periods/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "school_year_id": "00000000-0000-0000-0000-000000000001",
        "name": "Winter Grading Period",
        "start_date": "2020-09-01T00:00:00.000Z",
        "end_date": "2020-12-31T59:59:59.999Z"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}